import { z } from "zod";
import { createApiResponseSchema } from "./Factory";

export const PortalSchema = z.string();

export const PortalsListResponseSchema = createApiResponseSchema(
  z.array(PortalSchema),
);

export type TPortal = z.infer<typeof PortalSchema>;
export type TPortalsListResponse = z.infer<typeof PortalsListResponseSchema>;
